The project comes with a simple Dataiku Application to allow any user to connect their dataset and configure the [webapp](article:8). The steps are outlined in detail below.

![Dataiku Application.png](rLGpzF0TFc93)

- Upload Logs: Load the logs from your local system into the managed folder. The file should be in XES or CSV format and contain the mandatory columns needed for the analysis (you will be able to rename/remap the columns in a later step). See [process logs](article:12) for more detail.
- Parse Logs: Press the Parse button to parse the logs, this operation triggers a [scenario](scenario:PARSEWORKFLOW) that builds the [workflow_parsed](dataset:workflow_parsed) dataset.
- Refresh: Press the Refresh button to reload the page, this will update the column names for the subsequent column identification step.
- Column Identification: Link the three mandatory columns to the appropriate columns in the input dataset. Then select either to include all other columns as attributes, or select attribute columns manually. For improved user experience, try selecting only those columns you think will be of most value as large numbers of columns selected here will make the visual interface more cluttered. It is possible to select the columns used for case and activity as additional attributes, this will allow you to use them as Filters within in the webapp.
- Build Initial Flow: Press the Build Flow button to activate the [Rebuild Flow scenario](scenario:Rebuild_Flow) that will create the webapp. If later on in your analysis you wish to edit the configuration settings defined above, you can make changes and click the Build Flow buttom again to rerun the process.
- Open Process Mining App: Click this button to access the Process Mining webapp which will have be customized with the settings selected above. The webapp is also accessible via the [dashboard](dashboard:lngA9Pv) or through the Webapps menu [Interactive Process Mining](web_app:TsaekAO). Note that the backend of the webapp must be running for the webapp to be visible in the dashboard.